Package commoble.morered.wire_post

# Class BundledCableRelayPlateBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.morered.wire_post.AbstractPostBlock
commoble.morered.wire_post.AbstractChanneledCablePostBlock
commoble.morered.wire_post.BundledCableRelayPlateBlock

All Implemented Interfaces:
  `net.minecraft.world.flag.FeatureElement`, `net.minecraft.world.level.block.EntityBlock`, `net.minecraft.world.level.ItemLike`, `net.neoforged.neoforge.common.extensions.IBlockExtension`

public class BundledCableRelayPlateBlock extends AbstractChanneledCablePostBlock implements net.minecraft.world.level.block.EntityBlock

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetFunction, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final net.minecraft.world.phys.shapes.VoxelShape[]`
`CABLE_PLATE_SHAPES_DUNSWE`
`protected static final net.minecraft.world.phys.shapes.VoxelShape[]`
`PLATED_CABLE_POST_SHAPES_DUNSWE`

### Fields inherited from class commoble.morered.wire_post.AbstractChanneledCablePostBlock

`CABLE_POST_SHAPES_DUNSWE`

### Fields inherited from class commoble.morered.wire_post.AbstractPostBlock

`DIRECTION_OF_ATTACHMENT, TRANSFORM`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, CODEC, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, properties, requiredFeatures, soundType, speedFactor, UPDATE_SHAPE_ORDER`

### Fields inherited from interface net.minecraft.world.flag.FeatureElement

`FILTERED_REGISTRIES`

## Constructor Summary

Constructors
Constructor
Description
`BundledCableRelayPlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConnectToAdjacentCable(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, net.minecraft.core.Direction directionToWire)`
`net.minecraft.world.phys.shapes.VoxelShape`
`getShape(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.phys.shapes.CollisionContext context)`
`net.minecraft.world.level.block.entity.BlockEntity`
`newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`void`
`setPlacedBy(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.entity.LivingEntity placer, net.minecraft.world.item.ItemStack stack)`
Called by ItemBlocks after a block is set in the world, to allow post-place logic

### Methods inherited from class commoble.morered.wire_post.AbstractChanneledCablePostBlock

`neighborChanged, notifyNeighbors, onNeighborChange, updatePower`

### Methods inherited from class commoble.morered.wire_post.AbstractPostBlock

`createBlockStateDefinition, getCollisionShape, getStateForPlacement, mirror, onPlace, onRemove, rotate, updatePostSet`

### Methods inherited from class net.minecraft.world.level.block.Block

`animateTick, appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, codec, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, fallOn, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getShapeForEachState, getSpeedFactor, getStateDefinition, handlePrecipitation, hasDynamicShape, initializeClient, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, pushEntitiesUp, registerDefaultState, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, canBeReplaced, canSurvive, defaultDestroyTime, defaultMapColor, entityInside, getAnalogOutputSignal, getBlockSupportShape, getDestroyProgress, getDirectSignal, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getOcclusionShape, getRenderShape, getSeed, getShadeBrightness, getSignal, getSoundType, getVisualShape, hasAnalogOutputSignal, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, isRandomlyTicking, isSignalSource, onExplosionHit, onProjectileHit, propagatesSkylightDown, properties, propertiesCodec, randomTick, requiredFeatures, simpleCodec, skipRendering, spawnAfterBreak, tick, triggerEvent, updateIndirectNeighbourShapes, updateShape, useItemOn, useShapeForLightOcclusion, useWithoutItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.level.block.EntityBlock

`getListener, getTicker`

### Methods inherited from interface net.minecraft.world.flag.FeatureElement

`isEnabled`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockExtension

`addLandingEffects, addRunningEffects, canBeHydrated, canConnectRedstone, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, canSustainPlant, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getBubbleColumnDirection, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getPistonPushReaction, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hasDynamicLightEmission, hidesNeighborFace, isBed, isBurning, isConduitFrame, isEmpty, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onDestroyedByPushReaction, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### CABLE_PLATE_SHAPES_DUNSWE

protected static final net.minecraft.world.phys.shapes.VoxelShape[] CABLE_PLATE_SHAPES_DUNSWE

### PLATED_CABLE_POST_SHAPES_DUNSWE

protected static final net.minecraft.world.phys.shapes.VoxelShape[] PLATED_CABLE_POST_SHAPES_DUNSWE

## Constructor Details

### BundledCableRelayPlateBlock

public BundledCableRelayPlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)

## Method Details

### newBlockEntity

public net.minecraft.world.level.block.entity.BlockEntity newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

Specified by:
  `newBlockEntity` in interface `net.minecraft.world.level.block.EntityBlock`

### getShape

public net.minecraft.world.phys.shapes.VoxelShape getShape(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.phys.shapes.CollisionContext context)

Overrides:
  `getShape` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### canConnectToAdjacentCable

public boolean canConnectToAdjacentCable(@Nonnull net.minecraft.world.level.BlockGetter world, @Nonnull net.minecraft.core.BlockPos thisPos, @Nonnull net.minecraft.world.level.block.state.BlockState thisState, @Nonnull net.minecraft.core.BlockPos wirePos, @Nonnull net.minecraft.world.level.block.state.BlockState wireState, @Nonnull net.minecraft.core.Direction wireFace, @Nonnull net.minecraft.core.Direction directionToWire)

### setPlacedBy

public void setPlacedBy(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.entity.LivingEntity placer, net.minecraft.world.item.ItemStack stack)
Called by ItemBlocks after a block is set in the world, to allow post-place logic

Overrides:
  `setPlacedBy` in class `net.minecraft.world.level.block.Block`